---
layout: documentation
---

# Documentation

## Mesos Fundamentals

* [Mesos Architecture](/documentation/latest/mesos-architecture/) providing an overview of Mesos concepts.
* [Video and Slides of Mesos Presentations](/documentation/latest/mesos-presentations/)

## Running Mesos

* [Configuration](/documentation/latest/configuration/) for command-line arguments.
* [Docker Containerizer](/documentation/latest/docker-containerizer/) for launching a Docker image as a Task, or as an Executor.
* [External Containerizer](/documentation/latest/external-containerizer/)
* [Framework Authorization](/documentation/latest/authorization/)
* [Framework Rate Limiting](/documentation/latest/framework-rate-limiting/)
* [Logging and Debugging](/documentation/latest/logging-and-debugging/) for viewing Mesos and framework logs.
* [High Availability](/documentation/latest/high-availability/) for running multiple masters simultaneously.
* [Operational Guide](/documentation/latest/operational-guide/)
* [Network Monitoring](/documentation/latest/network-monitoring/)
* [Slave Recovery](/documentation/latest/slave-recovery/) for doing seamless upgrades.
* [Tools](/documentation/latest/tools/) for setting up and running a Mesos cluster.

## Running Mesos Frameworks

 * [Mesos frameworks](/documentation/latest/mesos-frameworks/) for a list of apps built on top of Mesos, and instructions on how to run them.

## Developing Mesos Frameworks

* [Framework Development Guide](/documentation/latest/app-framework-development-guide/) describes how to build applications on top of Mesos.
* [Reconciliation](/documentation/latest/reconciliation/) for ensuring a framework's state remains eventually consistent in the face of failures.
* [Javadoc](/api/latest/java/) documents the Mesos Java API.
* [Developer Tools](/documentation/latest/tools/) for hacking on Mesos or writing frameworks.

## Mesos Modules

* [Mesos Modules](/documentation/latest/modules/) for specifying mesos modules for master, slave and tests.

## Contributing to Mesos

* [Committer's Guide](/documentation/latest/committers-guide/) a guiding document for etiquette in reviews and commits.
* [Code Internals](/documentation/latest/mesos-code-internals/) an overview of the codebase and internal organization.
* [C++ Style Guide](/documentation/latest/mesos-c++-style-guide/)
* [Developers Guide](/documentation/latest/mesos-developers-guide/) includes resources for developers contributing to Mesos and the process of submitting patches for review.
* [Development Road Map](/documentation/latest/mesos-roadmap/)
* [Release Guide](/documentation/latest/release-guide/)

## More Info about Mesos

* [Powered by Mesos](/documentation/latest/powered-by-mesos/) lists organizations and software that are powered by Apache Mesos.
* Academic Papers and Project History
